var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
import { UUIRefNodeElement } from '../../../../../external/uui/index.js';
import { css, customElement, html } from '../../../../../external/lit/index.js';
/**
 * @element umb-ref-grid-block
 */
let UmbRefGridBlockElement = class UmbRefGridBlockElement extends UUIRefNodeElement {
    render() {
        return html `
			${super.render()}
			<div class="break"></div>
			<slot name="areas"></slot>
		`;
    }
    static { this.styles = [
        ...UUIRefNodeElement.styles,
        css `
			:host {
				min-width: 20px; /* Set to something, to overwrite UUI min width. */
				height: 100%; /* Help to fill out the whole layout entry. */
				min-height: var(--uui-size-16);
				flex-flow: row wrap;
				background-color: var(--uui-color-surface);
				padding: 0;
			}

			.break {
				flex-basis: 100%;
				height: 0;
			}

			#open-part {
				display: flex;
				align-self: start;
				box-sizing: border-box;
				min-height: var(--uui-size-16);
				margin: 0;
			}

			:host([unpublished]) #open-part {
				opacity: 0.6;
			}
		`,
    ]; }
};
UmbRefGridBlockElement = __decorate([
    customElement('umb-ref-grid-block')
], UmbRefGridBlockElement);
export { UmbRefGridBlockElement };
export default UmbRefGridBlockElement;
